import request from '@/utils/request'

// 获取列表
export function getList(params) {
  return request({
    url: '/flowable/processDefinition/doList',
    method: 'get',
    params
  })
}

// 新增定义部署文档
export function doDeploy(data) {
  return request({
    url: '/flowable/processDefinition/do_deploy',
    method: 'post',
    data
  })
}

// 流程定义列表
export function doListFlowActDef(params) {
  return request({
    url: '/flowable/processDefinition/doListFlowActDef',
    method: 'get',
    params
  })
}

// 设置时限提交=
export function doSetTimeLimit(data) {
  return request({
    url: '/flowable/processDefinition/doSetTimeLimit',
    method: 'post',
    data
  })
}

export function doSetViewImg(params) {
  return request({
    url: '/flowable/processDefinition/viewImg',
    method: 'get',
    params
  })
}
